Open CASCADE Technology: TopOpeBRepTool_ListOfC2DF Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRepTool_ListOfC2DF Class Reference

`#include <TopOpeBRepTool_ListOfC2DF.hxx>`

## Public Member Functions
| TopOpeBRepTool_ListOfC2DF ()
| TopOpeBRepTool_ListOfC2DF (const TopOpeBRepTool_ListOfC2DF &Other)
void | Assign (const TopOpeBRepTool_ListOfC2DF &Other)
void | operator= (const TopOpeBRepTool_ListOfC2DF &Other)
Standard_Integer | Extent () const
void | Clear ()
| ~TopOpeBRepTool_ListOfC2DF ()
Standard_Boolean | IsEmpty () const
void | Prepend (const TopOpeBRepTool_C2DF &I)
void | Prepend (const TopOpeBRepTool_C2DF &I, TopOpeBRepTool_ListIteratorOfListOfC2DF &theIt)
void | Prepend (TopOpeBRepTool_ListOfC2DF &Other)
void | Append (const TopOpeBRepTool_C2DF &I)
void | Append (const TopOpeBRepTool_C2DF &I, TopOpeBRepTool_ListIteratorOfListOfC2DF &theIt)
void | Append (TopOpeBRepTool_ListOfC2DF &Other)
TopOpeBRepTool_C2DF & | First () const
TopOpeBRepTool_C2DF & | Last () const
void | RemoveFirst ()
void | Remove (TopOpeBRepTool_ListIteratorOfListOfC2DF &It)
void | InsertBefore (const TopOpeBRepTool_C2DF &I, TopOpeBRepTool_ListIteratorOfListOfC2DF &It)
void | InsertBefore (TopOpeBRepTool_ListOfC2DF &Other, TopOpeBRepTool_ListIteratorOfListOfC2DF &It)
void | InsertAfter (const TopOpeBRepTool_C2DF &I, TopOpeBRepTool_ListIteratorOfListOfC2DF &It)
void | InsertAfter (TopOpeBRepTool_ListOfC2DF &Other, TopOpeBRepTool_ListIteratorOfListOfC2DF &It)

## Constructor & Destructor Documentation

TopOpeBRepTool_ListOfC2DF::TopOpeBRepTool_ListOfC2DF | ( |  | ) |

TopOpeBRepTool_ListOfC2DF::TopOpeBRepTool_ListOfC2DF | ( | const TopOpeBRepTool_ListOfC2DF & | Other | ) |

TopOpeBRepTool_ListOfC2DF::~TopOpeBRepTool_ListOfC2DF | ( |  | ) |
| inline

## Member Function Documentation

void TopOpeBRepTool_ListOfC2DF::Append | ( | const TopOpeBRepTool_C2DF & | I | ) |

void TopOpeBRepTool_ListOfC2DF::Append | ( | const TopOpeBRepTool_C2DF & | I,
|  | TopOpeBRepTool_ListIteratorOfListOfC2DF & | theIt
| ) |  |

void TopOpeBRepTool_ListOfC2DF::Append | ( | TopOpeBRepTool_ListOfC2DF & | Other | ) |

void TopOpeBRepTool_ListOfC2DF::Assign | ( | const TopOpeBRepTool_ListOfC2DF & | Other | ) |

void TopOpeBRepTool_ListOfC2DF::Clear | ( |  | ) |

Standard_Integer TopOpeBRepTool_ListOfC2DF::Extent | ( |  | ) | const

TopOpeBRepTool_C2DF& TopOpeBRepTool_ListOfC2DF::First | ( |  | ) | const

void TopOpeBRepTool_ListOfC2DF::InsertAfter | ( | const TopOpeBRepTool_C2DF & | I,
|  | TopOpeBRepTool_ListIteratorOfListOfC2DF & | It
| ) |  |

void TopOpeBRepTool_ListOfC2DF::InsertAfter | ( | TopOpeBRepTool_ListOfC2DF & | Other,
|  | TopOpeBRepTool_ListIteratorOfListOfC2DF & | It
| ) |  |

void TopOpeBRepTool_ListOfC2DF::InsertBefore | ( | const TopOpeBRepTool_C2DF & | I,
|  | TopOpeBRepTool_ListIteratorOfListOfC2DF & | It
| ) |  |

void TopOpeBRepTool_ListOfC2DF::InsertBefore | ( | TopOpeBRepTool_ListOfC2DF & | Other,
|  | TopOpeBRepTool_ListIteratorOfListOfC2DF & | It
| ) |  |

Standard_Boolean TopOpeBRepTool_ListOfC2DF::IsEmpty | ( |  | ) | const

TopOpeBRepTool_C2DF& TopOpeBRepTool_ListOfC2DF::Last | ( |  | ) | const

void TopOpeBRepTool_ListOfC2DF::operator= | ( | const TopOpeBRepTool_ListOfC2DF & | Other | ) |
| inline

void TopOpeBRepTool_ListOfC2DF::Prepend | ( | const TopOpeBRepTool_C2DF & | I | ) |

void TopOpeBRepTool_ListOfC2DF::Prepend | ( | const TopOpeBRepTool_C2DF & | I,
|  | TopOpeBRepTool_ListIteratorOfListOfC2DF & | theIt
| ) |  |

void TopOpeBRepTool_ListOfC2DF::Prepend | ( | TopOpeBRepTool_ListOfC2DF & | Other | ) |

void TopOpeBRepTool_ListOfC2DF::Remove | ( | TopOpeBRepTool_ListIteratorOfListOfC2DF & | It | ) |

void TopOpeBRepTool_ListOfC2DF::RemoveFirst | ( |  | ) |

The documentation for this class was generated from the following file:

- TopOpeBRepTool_ListOfC2DF.hxx